Tasuku
ReferenceAPI referenceRepositories

List discovered pull request templates and the selected template

GET/organizations/{organization_id}/repositories/{repository_id}/pull-request-templates

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
repository_id*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/repositories/string/pull-request-templates"
{  "data": {    "selected_path": "string",    "requires_selection": true,    "templates": [      {        "path": "string",        "blob_sha": "string",        "content_hash": "string",        "default_branch_sha": "string",        "discovered_at": "2019-08-24T14:15:22Z",        "selected": true      }    ]  }}